## lomiri-addressbook-app 0.9.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

project(lomiri-addressbook-app VERSION 0.9.0)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG")

# Standard install paths
include(GNUInstallDirs)
include(autopilot)

find_package(PkgConfig REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Qml REQUIRED)
find_package(Qt5Quick REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(Qt5Contacts REQUIRED)

pkg_check_modules(QOfono REQUIRED qofono-qt5)

find_program(DBUS_RUNNER dbus-test-runner)

set(ADDRESS_BOOK_APP_DIR ${CMAKE_INSTALL_DATADIR}/${CMAKE_PROJECT_NAME})
set(ADDRESS_BOOK_APP_FULL_DIR ${CMAKE_INSTALL_FULL_DATADIR}/${CMAKE_PROJECT_NAME})
set(ADDRESS_BOOK_APP_NAME "Lomiri Address Book")
set(DESKTOP_FILE lomiri-addressbook-app.desktop)
set(API_VERSION 0.1)

# for dh_translations to extract the domain
# (regarding syntax consistency, see http://pad.lv/1181187)
set(GETTEXT_PACKAGE "lomiri-addressbook-app")

option(INSTALL_TESTS "Install the tests on make install" on)
option(INSTALL_COMPONENTS "Install the Lomiri contact components" on)
option(CLICK_MODE "Installs to a contained location" off)
option(USE_XVFB "Use XVFB to run qml tests" on)

# Tests
enable_testing()

# components PATH
if(CLICK_MODE)
    set(QT_IMPORTS_DIR "${ADDRESS_BOOK_APP_DIR}/imports/")
else()
    set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
endif()
if(CLICK_MODE)
    set(CLICK_MODE_ENABLED 1)
    set(CMAKE_INSTALL_PREFIX /)
    set(CMAKE_INSTALL_BINDIR /)
    set(CLICK_TAG click)
    set(ADDRESS_BOOK_APP_BINDIR "./")
    set(QT_EXTRA_IMPORTS_DIR ${QT_IMPORTS_DIR})
    set(INSTALL_TESTS off)
else(CLICK_MODE)
    set(CLICK_MODE_ENABLED 0)
    set(ADDRESS_BOOK_APP_BINDIR "")
    set(QT_EXTRA_IMPORTS_DIR "")
endif(CLICK_MODE)

set(DESKTOP_EXEC "lomiri-addressbook-app")
set(QMLPLUGIN_INSTALL_PREFIX "${QT_IMPORTS_DIR}/Lomiri/Contacts.${API_VERSION}/")
set(ADDRESS_BOOK_QMLPLUGIN_INSTALL_PREFIX "${QT_IMPORTS_DIR}/Lomiri/AddressBook/")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall")

add_subdirectory(data)
add_subdirectory(src)
add_subdirectory(po)
add_subdirectory(tests)
add_subdirectory(click)

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

# config file
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
               "${CMAKE_CURRENT_BINARY_DIR}/config.h"
               IMMEDIATE @ONLY)

=== click/CMakeLists.txt ===
# This command figures out the target architecture for use in the manifest file
execute_process(
    COMMAND dpkg-architecture -qDEB_HOST_ARCH
    OUTPUT_VARIABLE CLICK_ARCH
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

if(CLICK_MODE)
    if(NOT BZR_REVNO)
        set(BZR_REVNO "latest")
    endif(NOT BZR_REVNO)
    configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json
            DESTINATION ${CMAKE_INSTALL_PREFIX})
    install(FILES lomiri-addressbook-apparmor.json
            DESTINATION ${CMAKE_INSTALL_PREFIX})
    install(FILES lomiri-addressbook-content.json
            DESTINATION ${CMAKE_INSTALL_PREFIX})
else(CLICK_MODE)
    install(FILES lomiri-addressbook-content.json
            DESTINATION ${CMAKE_INSTALL_DATADIR}/content-hub/peers
            RENAME lomiri-addressbook-app)
endif(CLICK_MODE)

=== po/CMakeLists.txt ===
include(FindGettext)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN ${PROJECT_NAME})
set(POT_FILE ${DOMAIN}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
  ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY
)

add_custom_target(${POT_FILE} ALL
  COMMENT "Generating translation template"
  # Extract the translatable messages from the desktop file
  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
          --from-code=UTF-8
          --language=Desktop
          --package-name='${PROJECT_NAME}'
          --copyright-holder='Canonical Ltd.'
          -D ${CMAKE_BINARY_DIR}
          data/${DESKTOP_FILE}.in
  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
          -D ${CMAKE_SOURCE_DIR}
          -D ${CMAKE_CURRENT_SOURCE_DIR}
          -D ${CMAKE_CURRENT_BINARY_DIR}
          --from-code=UTF-8
          --c++ --qt --add-comments=TRANSLATORS
          --keyword=tr --keyword=tr:1,2
          --keyword=dtr:2 --keyword=dtr:2,3
          --keyword=N_ --keyword=QT_TR_NOOP
          --package-name='${PROJECT_NAME}'
          --copyright-holder='Canonical Ltd.'
          --join-existing --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
                   ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
                   COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
                         LANGUAGES ${LANGS})

=== tests/autopilot/CMakeLists.txt ===
set(AUTOPILOT_DIR lomiri_addressbook_app)

execute_process(COMMAND python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())"
    OUTPUT_VARIABLE PYTHON_PACKAGE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

if(INSTALL_TESTS)
    install(DIRECTORY ${AUTOPILOT_DIR}
        DESTINATION ${PYTHON_PACKAGE_DIR}
    )
endif()

set(AUTOPILOT_ENV "AUTOPILOT_APP=${lomiri-addressbook-app_BINARY_DIR}/lomiri-addressbook-app\;QTCONTACTS_MANAGER_OVERRIDE=memory")
declare_autopilot_test(${AUTOPILOT_ENV}
                       lomiri_addressbook_app
                       ${CMAKE_CURRENT_SOURCE_DIR})

=== tests/qml/CMakeLists.txt ===
find_program(QMLTESTRUNNER_BIN
    NAMES qmltestrunner
    PATHS /usr/lib/*/qt5/bin
    NO_DEFAULT_PATH
)

find_program(XVFB_RUN_BIN
    NAMES xvfb-run
)

macro(DECLARE_QML_TEST TST_NAME TST_QML_FILE)
    if(USE_XVFB)
        set(COMMAND_PREFIX ${XVFB_RUN_BIN} -a -s "-screen 0 1024x768x24")
    else()
        set(COMMAND_PREFIX "")
    endif()
    add_test(NAME ${TST_NAME}
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        COMMAND ${COMMAND_PREFIX} ${QMLTESTRUNNER_BIN} -import ${imports_BINARY_DIR} -input ${CMAKE_CURRENT_SOURCE_DIR}/${TST_QML_FILE}
    )
endmacro()

if(QMLTESTRUNNER_BIN AND XVFB_RUN_BIN)
    declare_qml_test("contact_list" tst_ContactList.qml)
    declare_qml_test("Contact_list_model" tst_ContactListModel.qml)
    declare_qml_test("Contact_list_view" tst_ContactListView.qml)
    declare_qml_test("contact_editor" tst_ContactEditor.qml)
    declare_qml_test("contact_avatar" tst_ContactAvatar.qml)
    declare_qml_test("list_with_actions" tst_ListWithActions.qml)
    declare_qml_test("contact_preview_page" tst_ContactPreviewPage.qml)
    declare_qml_test("vcard_parser" tst_VCardParser.qml)
    declare_qml_test("lomiri_contact" tst_LomiriContacts.qml)
else()
    if (NOT QMLTESTRUNNER_BIN)
        message(WARNING "Qml tests disabled: qmltestrunner not found")
    else()
        message(WARNING "Qml tests disabled: xvfb-run not found")
    endif()
endif()

set(QML_TST_FILES
    ContactUtil.js
    tst_ContactEditor.qml
    tst_ContactAvatar.qml
    tst_ContactList.qml
    tst_ContactListModel.qml
    tst_ContactListView.qml
    tst_ListWithActions.qml
    tst_ContactPreviewPage.qml
    tst_VCardParser.qml
    tst_LomiriContacts.qml
)
add_custom_target(tst_QmlFiles ALL SOURCES ${QML_TST_FILES})

=== src/imports/Lomiri/CMakeLists.txt ===
add_custom_target(copyqmlfiles)

add_subdirectory(Contacts)
add_subdirectory(AddressBook)

=== src/imports/Lomiri/Contacts/CMakeLists.txt ===
set(CONTACT_COMPONENTS_PLUGIN "lomiri-contacts-qml")

set(CONTACT_COMPONENTS_QMLS
    ActionButton.qml
    ContactAvatar.qml
    ContactDelegate.qml
    ContactDetailOnlineAccountTypeModel.qml
    ContactDetailPhoneNumberTypeModel.qml
    ContactDetailPickerPhoneNumberDelegate.qml
    ContactFetch.qml
    ContactList.js
    ContactListButtonDelegate.qml
    ContactListModel.qml
    ContactListView.qml
    ContactManager.js
    ContactSimpleListView.qml
    Contacts.js
    FastScroll.js
    FastScroll.qml
    ListItemWithActionsCheckBox.qml
    ListItemWithActions.qml
    MultipleSelectionListView.qml
    MultipleSelectionVisualModel.qml
    Ofono.qml
    OnlineAccountsDummy.qml
    OnlineAccountsHelper.qml
    PageWithBottomEdge.qml
    qmldir
    SectionDelegate.qml
    SIMList.qml
    SIMCardImportPage.qml
    SubtitledWithColors.qml
    Triangle.qml
    VCardParser.qml
    ContactImportPage.qml
)

set(CONTACT_COMPONENTS_SRC
    contacts.h
    contacts.cpp
    imagescalethread.h
    imagescalethread.cpp
    plugin.h
    plugin.cpp
    ringtonemodel.h
    ringtonemodel.cpp
    simcardcontacts.h
    simcardcontacts.cpp
)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${QOfono_INCLUDE_DIRS}
)

add_library(${CONTACT_COMPONENTS_PLUGIN} MODULE
    ${CONTACT_COMPONENTS_SRC}
)

target_link_libraries(${CONTACT_COMPONENTS_PLUGIN}
    ${QOfono_LIBRARIES}
    Qt5::Core
    Qt5::Contacts
    Qt5::Qml
    Qt5::Quick
    Qt5::DBus
)

# make the files visible on qtcreator
add_custom_target(contact_components_QmlFiles ALL SOURCES ${CONTACT_COMPONENTS_QMLS})

if(INSTALL_COMPONENTS)
    install(FILES ${CONTACT_COMPONENTS_QMLS} DESTINATION ${QMLPLUGIN_INSTALL_PREFIX})
    install(TARGETS ${CONTACT_COMPONENTS_PLUGIN} DESTINATION ${QMLPLUGIN_INSTALL_PREFIX})
endif()


#copy qml files to build dir to make it possible to run without install
foreach(QML_FILE ${CONTACT_COMPONENTS_QMLS})
  add_custom_command(TARGET contact_components_QmlFiles PRE_BUILD
                     COMMAND ${CMAKE_COMMAND} -E
                         copy ${CMAKE_CURRENT_SOURCE_DIR}/${QML_FILE} ${CMAKE_CURRENT_BINARY_DIR}/)
endforeach()

if (NOT ${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    add_dependencies(copyqmlfiles contact_components_QmlFiles)
endif()

=== src/imports/Lomiri/AddressBook/ContactEditor/CMakeLists.txt ===
set(AB_CONTACT_EDITOR_QMLS
    AlertMessageDialog.qml
    AvatarImport.qml
    AvatarImportDialog.qml
    ComboButtonAddField.qml
    ContactDetailAddressesEditor.qml
    ContactDetailAvatarEditor.qml
    ContactDetailBirthdayEditor.qml
    ContactDetailEmailsEditor.qml
    ContactDetailGroupWithTypeEditor.qml
    ContactDetailNameEditor.qml
    ContactDetailNoteEditor.qml
    ContactDetailOnlineAccountsEditor.qml
    ContactDetailOrganizationsEditor.qml
    ContactDetailPhoneNumbersEditor.qml
    ContactDetailRingtoneEditor.qml
    ContactDetailRingtoneSoundSelector.qml
    ContactDetailSyncTargetEditor.qml
    ContactDetailUrlEditor.qml
    ContactDetailWithTypeEditor.qml
    ContactEditorPage.qml
    RemoveContactsDialog.qml
    TextInputDetail.qml
    ValueSelector.qml
    qmldir
)

# make the files visible on qtcreator
add_custom_target(contact_editor_QmlFiles ALL SOURCES ${AB_CONTACT_EDITOR_QMLS})

if(INSTALL_COMPONENTS)
    install(FILES ${AB_CONTACT_EDITOR_QMLS} DESTINATION ${ADDRESS_BOOK_QMLPLUGIN_INSTALL_PREFIX}/ContactEditor)
endif()

#copy qml files to build dir to make it possible to run without install
foreach(QML_FILE ${AB_CONTACT_EDITOR_QMLS})
  add_custom_command(TARGET contact_editor_QmlFiles PRE_BUILD
                     COMMAND ${CMAKE_COMMAND} -E
                         copy ${CMAKE_CURRENT_SOURCE_DIR}/${QML_FILE} ${CMAKE_CURRENT_BINARY_DIR}/)
endforeach()

if (NOT ${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    add_dependencies(copyqmlfiles contact_editor_QmlFiles)
endif()

=== debian/changelog ===
lomiri-addressbook-app (0.9.0-4) unstable; urgency=medium

  * debian/patches:
    + Add 2001_hide-app-if-not-in-lomiri.patch. Hide app if not on Lomiri.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Feb 2025 15:43:56 +0100

lomiri-addressbook-app (0.9.0-3) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 18 Jan 2025 17:54:55 +0100

lomiri-addressbook-app (0.9.0-2) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1086493).

  * debian/control:
    + Drop hard-wired dependency on libqt5contacts5a and libqt5versit5a. Should
      be provided via ${shlibs:Depends}.
    + Add to D: (qml-module-lomiri-contacts): qml-module-buteo-syncfw.
    + Adjust R:/S: for LOA components.
  * debian/rules:
    + Build with -DENABLE_AUTOPILOT=OFF.
  * debian/patches:
    + Amend 0107-Restore-qtcontacts-sqlite-new-backend.patch. Set service-type
      if to google-contacts (not buteo-contacts) in .application file.
  * debian/copyright:
    + Mention more patch authors as copyright holders for debian/*.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Jan 2025 14:43:26 +0100

lomiri-addressbook-app (0.9.0-1) REJECTED; urgency=medium

  * Initial upload to Debian. (Closes: #1086493).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 31 Oct 2024 10:34:00 +0100

=== debian/control ===
Source: lomiri-addressbook-app
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 cmake,
 dbus,
 debhelper-compat (= 13),
 dh-apparmor,
 libgl-dev,
 libgles2-mesa-dev,
 libqofono-dev,
 libqofono-qt5-0,
 lsb-release,
 pkgconf,
 qml-module-qt-labs-platform,
 qml-module-qtcontacts,
 qml-module-qtsysteminfo (>= 5.0~),
 qml-module-qttest,
 qml-module-buteo-profiles (>= 0.11.6),
 qml-module-gsettings1.0,
 qml-module-lomiri-components,
 qml-module-lomiri-content,
 qml-module-lomiri-telephony-phonenumber,
 qml-module-lomiri-test,
 qml-module-lomiri-onlineaccounts,
 qml-module-sso-onlineaccounts,
 qml-module-ofono (>= 0.117),
 lomiri-ui-toolkit-theme,
 qtbase5-dev,
 qtdeclarative5-dev,
 qtdeclarative5-dev-tools,
 qtpim5-dev,
 lomiri-thumbnailer-service,
 xauth,
 xvfb,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-addressbook-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-addressbook-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-addressbook-app

Package: lomiri-addressbook-app
Architecture: any
Depends:
 lomiri-indicator-transfer-buteo,
 qml-module-ofono (>=0.117~),
 qml-module-qt-labs-platform,
 qml-module-qtcontacts,
 qml-module-qtquick2,
 qml-module-qtsysteminfo (>= 5.0~),
 libqt5contact5-plugin-sqlite,
 qml-module-gsettings1.0,
 qml-module-lomiri-addressbook (= ${binary:Version}),
 qml-module-lomiri-onlineaccounts,
 qml-module-lomiri-telephony-phonenumber,
 qml-module-sso-onlineaccounts,
 lomiri-ui-toolkit-theme,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lomiri-online-accounts-plugin-nextcloud-carddav,
 lomiri-online-accounts-plugin-owncloud-carddav,
Suggests:
 lomiri-online-acconts-plugin-google,
Description: Address Book App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Address Book App.

Package: qml-module-lomiri-contacts
Architecture: any
Depends:
 qml-module-qtcontacts,
 qml-module-qtquick2,
 qml-module-lomiri-components,
 qml-module-lomiri-onlineaccounts,
 qml-module-lomiri-onlineaccounts-client,
 qml-module-buteo-syncfw,
 qml-module-buteo-profiles (>= 0.11.6),
 suru-icon-theme,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt Lomiri Contacts Components - QML plugin
 Qt Lomiri Contacts Components offers a set of reusable user interface
 related with contacts for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Contacts Components QML plugin.

Package: qml-module-lomiri-addressbook
Architecture: any
Depends:
 qml-module-lomiri-contacts (= ${binary:Version}),
 qml-module-lomiri-content,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Qt Lomiri Address Book Components - QML plugin
 Qt Lomiri Address Book Components offers a set of reusable user interface
 related with address book for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Address Book Components QML plugin.

## lomiri-addressbook-app 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.5)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
-project(lomiri-addressbook-app VERSION 0.9.0)
+project(lomiri-addressbook-app VERSION 0.9.1)
 
 # Find includes in corresponding build directories
 set(CMAKE_INCLUDE_CURRENT_DIR ON)

=== click/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,6 @@
             DESTINATION ${CMAKE_INSTALL_PREFIX})
 else(CLICK_MODE)
     install(FILES lomiri-addressbook-content.json
-            DESTINATION ${CMAKE_INSTALL_DATADIR}/content-hub/peers
+            DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-content-hub/peers
             RENAME lomiri-addressbook-app)
 endif(CLICK_MODE)

=== data/CMakeLists.txt ===
include(FindGettext)

set(ADDRESS_BOOK_APP_ICON "lomiri-addressbook-app.svg")
set(ADDRESS_BOOK_APP_SPLASH "lomiri-addressbook-app-splash.svg")
set(ADDRESS_BOOK_APP_SYMBOLIC_ICON "lomiri-addressbook-app-symbolic.svg")
set(ADDRESS_BOOK_ARTWORK_PATH "${ADDRESS_BOOK_APP_FULL_DIR}/artwork")

if(NOT CLICK_MODE)
    set(XSCREENSHOT "X-Screenshot=${ADDRESS_BOOK_ARTWORK_PATH}/lomiri-addressbook-app-preview.png")
endif()

configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)
add_custom_target(${DESKTOP_FILE} ALL
    COMMENT "Merging translations into ${DESKTOP_FILE}..."
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
            --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
            -o ${DESKTOP_FILE}
            -d ${CMAKE_SOURCE_DIR}/po
)

if(CLICK_MODE)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
        DESTINATION ${CMAKE_INSTALL_BINDIR}
    )
else()
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
    )
endif()

install(FILES "lomiri-addressbook-app.url-dispatcher"
    DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls
)

=== src/CMakeLists.txt ===
project(lomiri-addressbook-app-src)

add_subdirectory(artwork)
add_subdirectory(imports)
add_subdirectory(app)

=== src/app/CMakeLists.txt ===
project(lomiri-addressbook-app)

set(ADDRESS_BOOK_APP_BIN lomiri-addressbook-app)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${AccountsQt5_INCLUDE_DIRS}
)

set(ADDRESS_BOOK_APP_SRCS
    addressbookapp.h
    addressbookapp.cpp
    main.cpp
)

add_executable(${ADDRESS_BOOK_APP_BIN}
    ${ADDRESS_BOOK_APP_SRCS}
)

target_link_libraries(${ADDRESS_BOOK_APP_BIN}
    Qt5::Core
    Qt5::Gui
    Qt5::Qml
    Qt5::Quick
    Qt5::DBus
)

install(TARGETS ${ADDRESS_BOOK_APP_BIN}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

=== src/artwork/CMakeLists.txt ===
set(ADDRESS_BOOK_APP_ARTWORK
    lomiri-addressbook-app.svg
    lomiri-addressbook-app-splash.svg
    lomiri-addressbook-app-symbolic.svg
    lomiri-addressbook-app-preview.png
    birthday-cake.svg
    import-image.svg
    protocol-aim.svg
    protocol-facebook.svg
    protocol-icq.svg
    protocol-jabber.svg
    protocol-msn.svg
    protocol-other.svg
    protocol-qq.svg
    protocol-skype.svg
    protocol-twitter.svg
    protocol-yahoo.svg
)

install(FILES ${ADDRESS_BOOK_APP_ARTWORK}
    DESTINATION ${ADDRESS_BOOK_APP_DIR}/artwork
)

=== src/imports/CMakeLists.txt ===
project(imports)

set(ADDRESS_BOOK_APP_QMLS
    ABAdaptivePageLayout.qml
    ABContactListPage.qml
    ABContactEditorPage.qml
    ABContactEditorPageWithEmptyContact.qml
    ABContactViewPage.qml
    ABEmptyState.qml
    ABNewContactBottomEdge.qml
    ABMultiColumnEmptyState.qml
    ContentHubProxy.qml
    MainWindow.qml
    RemoveContactsDialog.qml
    BusyImportingDialog.qml
)

install(FILES ${ADDRESS_BOOK_APP_QMLS}
    DESTINATION ${ADDRESS_BOOK_APP_DIR}/imports
)

# make the files visible on qtcreator
add_custom_target(address_book_QMlFiles ALL SOURCES ${ADDRESS_BOOK_APP_QMLS})

add_subdirectory(Settings)
add_subdirectory(Lomiri)

=== tests/data/CMakeLists.txt ===
project(test_data)

set(AUTOPILOT_DATA
    vcard.vcf
)

install(FILES ${AUTOPILOT_DATA}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-addressbook-app/vcards
)

=== src/imports/Settings/CMakeLists.txt ===
set(CONTACT_SETTINGS_QMLS
    MyselfPhoneNumbersModel.qml
    SettingsDefaultSyncTarget.qml
    SettingsPage.qml
)

install(FILES ${CONTACT_SETTINGS_QMLS}
    DESTINATION ${ADDRESS_BOOK_APP_DIR}/imports/Settings
)

# make the files visible on qtcreator
add_custom_target(contact_settings_QmlFiles ALL SOURCES ${CONTACT_SETTINGS_QMLS})

=== src/imports/Lomiri/AddressBook/CMakeLists.txt ===
add_subdirectory(Base)
add_subdirectory(ContactEditor)
add_subdirectory(ContactView)
add_subdirectory(ContactShare)

=== src/imports/Lomiri/AddressBook/Base/CMakeLists.txt ===
set(AB_CONTACT_COMMON_QMLS
    BusyExportingDialog.qml
    ContactDetailBase.qml
    ContactDetailItem.qml
    ContactDetailGroupBase.qml
    ContactDetailGroupWithTypeBase.qml
    ContactDetailTitle.qml
    ContactExporter.qml
    KeyboardRectangle.qml
    RemoveContactsDialog.qml
    qmldir
)

# make the files visible on qtcreator
add_custom_target(contact_common_QmlFiles ALL SOURCES ${AB_CONTACT_COMMON_QMLS})

if(INSTALL_COMPONENTS)
    install(FILES ${AB_CONTACT_COMMON_QMLS} DESTINATION ${ADDRESS_BOOK_QMLPLUGIN_INSTALL_PREFIX}/Base)
endif()

#copy qml files to build dir to make it possible to run without install
foreach(QML_FILE ${AB_CONTACT_COMMON_QMLS})
  add_custom_command(TARGET contact_common_QmlFiles PRE_BUILD
                     COMMAND ${CMAKE_COMMAND} -E
                         copy ${CMAKE_CURRENT_SOURCE_DIR}/${QML_FILE} ${CMAKE_CURRENT_BINARY_DIR}/)
endforeach()

if (NOT ${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    add_dependencies(copyqmlfiles contact_common_QmlFiles)
endif()

=== src/imports/Lomiri/AddressBook/ContactShare/CMakeLists.txt ===
set(AB_CONTACT_SHARE_QMLS
    ContactSharePage.qml
    qmldir
)

install(FILES ${AB_CONTACT_SHARE_QMLS}
    DESTINATION ${ADDRESS_BOOK_APP_DIR}/imports/ContactShare
)

# make the files visible on qtcreator
add_custom_target(contact_share_QmlFiles ALL SOURCES ${AB_CONTACT_SHARE_QMLS})

if(INSTALL_COMPONENTS)
    install(FILES ${AB_CONTACT_SHARE_QMLS} DESTINATION ${ADDRESS_BOOK_QMLPLUGIN_INSTALL_PREFIX}/ContactShare)
endif()

#copy qml files to build dir to make it possible to run without install
foreach(QML_FILE ${AB_CONTACT_SHARE_QMLS})
  add_custom_command(TARGET contact_share_QmlFiles PRE_BUILD
                     COMMAND ${CMAKE_COMMAND} -E
                         copy ${CMAKE_CURRENT_SOURCE_DIR}/${QML_FILE} ${CMAKE_CURRENT_BINARY_DIR}/)
endforeach()

if (NOT ${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    add_dependencies(copyqmlfiles contact_share_QmlFiles)
endif()

=== debian/changelog ===
lomiri-addressbook-app (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 0001, 0002, 0004, 0005, 0102, 0112, 0113, 0117, 0121, 0122,
      0127, 0128 and 1001. All applied upstream. Rebase patches 0107 and 0111.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Fix FSF mailing address.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 13:16:54 +0200

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  lomiri-thumbnailer-service,
  xauth,
  xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-addressbook-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-addressbook-app.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

NULL =

export DPKG_GENSYMBOLS_CHECK_LEVEL=1

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_AUTOPILOT=OFF \
	                     $(NULL)

override_dh_auto_install:
	dh_auto_install
	dh_apparmor -plomiri-addressbook-app --profile-name=lomiri-addressbook-app

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
